Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.parser
Interface XMLHandler

All Superinterfaces:
  Handler

All Known Implementing Classes:
  AccountHandler, DefaultXMLHandler, DirectMessageHandler, GeoLocationHandler, HttpResponseCodeErrorHandler, RateLimitStatusHandler, SearchResultHandler, StatusHandler, TimelineHandler, TweetHandler, UserAccountHandler

    public interface XMLHandler

extends Handler

This interface defines a XML document handler.

Since:
  1.1
Version:
  1.0
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)
See Also:
  `DefaultXMLHandler`

Method Summary
`void` | `endDocument()` Callback method called to notify the end of the document.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` Callback method called to notify the end of a element in the document.
`void` | `startDocument()` Callback method called to notify the start of the document.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, Attributes attrs)` Callback method called to notify the start of a element in the document.
`void` | `text(java.lang.String text)` Callback method called to notify a string data inside an element.

Method Detail

### startDocument

    void startDocument()
                       throws ParserException

  Callback method called to notify the start of the document.

  Throws:
    `ParserException` - If a parser error occurs.

### startElement

    void startElement(java.lang.String namespaceURI,
                      java.lang.String localName,
                      java.lang.String qName,
                      Attributes attrs)
                      throws ParserException

  Callback method called to notify the start of a element in the document.

  Parameters:
    `namespaceURI` - URI.
    `localName` - The local name.
    `qName` - The qualified name.
    `attrs` - The specified or defaulted attributes.
  Throws:
    `ParserException` - If a parser error occurs.

### text

    void text(java.lang.String text)
              throws ParserException

  Callback method called to notify a string data inside an element.

  Parameters:
    `text` - String data.
  Throws:
    `ParserException` - If a parser error occurs.

### endElement

    void endElement(java.lang.String namespaceURI,
                    java.lang.String localName,
                    java.lang.String qName)
                    throws ParserException

  Callback method called to notify the end of a element in the document.

  Parameters:
    `namespaceURI` - URI.
    `localName` - The local name.
    `qName` - The qualified name.
  Throws:
    `ParserException` - If a parser error occurs.

### endDocument

    void endDocument()
                     throws ParserException

  Callback method called to notify the end of the document.

  Throws:
    `ParserException` - If a parser error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.